Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# BufferContext Class Reference

This is a base class for those kinds of SavedContexts that occupy an easily-measured (and substantial) number of bytes in the video card's frame buffer memory or AGP memory. More...

Inheritance diagram for BufferContext:

List of all members.

## Public Member Functions
bool | getActive ()
| Returns the active flag associated with this object.
unsigned int | getDataSizeBytes ()
| Returns the number of bytes previously reported for the data object.
UpdateSeq | getModified ()
| Returns the UpdateSeq that was recorded the last time mark_loaded() was called.
bool | getResident ()
| Returns the resident flag associated with this object.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a base class for those kinds of SavedContexts that occupy an easily-measured (and substantial) number of bytes in the video card's frame buffer memory or AGP memory.

At the present, this includes most of the SavedContext types: VertexBufferContext and IndexBufferContext, as well as TextureContext.

This class provides methods for tracking the video memory utilization, as well as residency of each object, via PStats.

## Member Function Documentation

bool getActive | ( |  | ) |

Returns the active flag associated with this object.

An object is considered "active" if it was rendered in the current frame.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from SavedContext.

Reimplemented in IndexBufferContext, TextureContext, and VertexBufferContext.

unsigned int getDataSizeBytes | ( |  | ) |

Returns the number of bytes previously reported for the data object.

This is used to track changes in the data object's allocated size; if it changes from this, we need to create a new buffer. This is also used to track memory utilization in PStats.

UpdateSeq getModified | ( |  | ) |

Returns the UpdateSeq that was recorded the last time mark_loaded() was called.

bool getResident | ( |  | ) |

Returns the resident flag associated with this object.

An object is considered "resident" if it appears to be resident in texture memory.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties